net.minecraft.tileentity

## Class TileEntityEnchantmentTable

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityEnchantmentTable

-     public class TileEntityEnchantmentTable
      extends TileEntity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `bookRotation`
    `float` | `bookRotation2`
    `float` | `bookRotationPrev`
    `float` | `bookSpread` The amount that the book is open.
    `float` | `bookSpreadPrev` The amount that the book is open.
    `float` | `field_70373_d`
    `float` | `field_70374_e`
    `float` | `pageFlip` Value used for determining how the page flip should look.
    `float` | `pageFlipPrev` The last tick's pageFlip value.
    `int` | `tickCount` Used by the render to make the book 'bounce'

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityEnchantmentTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `func_94133_a()`
    `void` | `func_94134_a(String par1Str)`
    `boolean` | `func_94135_b()`
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
    `void` | `updateEntity()` Allows the entity to update its state.
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_85027_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tickCount

          public int tickCount

      Used by the render to make the book 'bounce'

    - #### pageFlip

          public float pageFlip

      Value used for determining how the page flip should look.

    - #### pageFlipPrev

          public float pageFlipPrev

      The last tick's pageFlip value.

    - #### field_70373_d

          public float field_70373_d

    - #### field_70374_e

          public float field_70374_e

    - #### bookSpread

          public float bookSpread

      The amount that the book is open.

    - #### bookSpreadPrev

          public float bookSpreadPrev

      The amount that the book is open.

    - #### bookRotation2

          public float bookRotation2

    - #### bookRotationPrev

          public float bookRotationPrev

    - #### bookRotation

          public float bookRotation

  - ### Constructor Detail

    - #### TileEntityEnchantmentTable

          public TileEntityEnchantmentTable()

  - ### Method Detail

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

      Writes a tile entity to NBT.
      Overrides:
        `writeToNBT` in class `TileEntity`

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

      Reads a tile entity from NBT.
      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### updateEntity

          public void updateEntity()

      Allows the entity to update its state. Overridden in most subclasses, e.g. the mob spawner uses this to count ticks and creates a new spawn inside its implementation.
      Overrides:
        `updateEntity` in class `TileEntity`

    - #### func_94133_a

          public String func_94133_a()

    - #### func_94135_b

          public boolean func_94135_b()

    - #### func_94134_a

          public void func_94134_a(String par1Str)